Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.util
Class ConcurrentHashSet

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractSet
              org.jboss.messaging.core.util.ConcurrentHashSet

All Implemented Interfaces:
  java.util.Collection, java.util.Set

public class ConcurrentHashSet
extends java.util.AbstractSet

A ConcurrentHashSet. Offers same concurrency as ConcurrentHashMap but for a Set

Version:
  $Revision: 1.2 $ $Id: ConcurrentHashSet.java,v 1.2 2005/12/27 22:00:46 ovidiu Exp $
Author:
  Tim Fox

Constructor Summary
`ConcurrentHashSet()`

Method Summary
`boolean` | `add(java.lang.Object o)`
`void` | `clear()`
`boolean` | `contains(java.lang.Object o)`
`boolean` | `isEmpty()`
`java.util.Iterator` | `iterator()`
`boolean` | `remove(java.lang.Object o)`
`int` | `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, containsAll, retainAll, toArray, toArray`

Constructor Detail

### ConcurrentHashSet

    public ConcurrentHashSet()

Method Detail

### size

    public int size()

### iterator

    public java.util.Iterator iterator()

### isEmpty

    public boolean isEmpty()

### add

    public boolean add(java.lang.Object o)

### contains

    public boolean contains(java.lang.Object o)

### clear

    public void clear()

### remove

    public boolean remove(java.lang.Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.